Account valuation
Returns the total valuation of a client's account.
GET
/v1/accounts/{cvu}/valuationRequest
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Access token in Bearer ACCESS_TOKEN format |
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
cvu | string | Yes | Account CVU |
Not applicable: Query Parameters, Body.
Response
2XX Success
Status: 200 OK
Returns an AccountValuationDTO object.
AccountValuationDTO object fields
| Field | Type | Description |
|---|---|---|
accountId | integer | Account identifier |
valuation | number | Total account valuation |
currency | string | Currency in which the valuation is expressed |
Error Codes
| Status | Description |
|---|---|
401 | Unauthorized — invalid or missing token |
403 | Forbidden — missing required role |
404 | Not Found — account does not exist |
422 | Validation Error — invalid parameters |
500 | Internal Server Error — internal server error |
Error structure (ErrorResponse):
{
"timestamp": "2026-06-04T10:30:00Z",
"status": 403,
"error": "Forbidden",
"message": "client_id mismatch",
"code": "FORBIDDEN",
"path": "/v1/accounts/0000031000010000000001/valuation"
}
| Field | Type | Description |
|---|---|---|
timestamp | string | Moment when the error occurred |
status | integer | HTTP status code |
error | string | Error name |
message | string | Descriptive error message |
code | string | null | Internal error code (can be null) |
path | string | Request path that originated the error |
Code Example
- cURL
- JavaScript
- Python
- Node.js
curl -X GET "https://b2b.allaria.cloud/v1/accounts/0000031000010000000001/valuation" \
-H "Authorization: Bearer ACCESS_TOKEN"
const response = await fetch('https://b2b.allaria.cloud/v1/accounts/0000031000010000000001/valuation', {
method: 'GET',
headers: { 'Authorization': 'Bearer ACCESS_TOKEN' }
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://b2b.allaria.cloud/v1/accounts/0000031000010000000001/valuation',
headers={ 'Authorization': 'Bearer ACCESS_TOKEN' }
)
data = response.json()
print(data)
const axios = require('axios');
const response = await axios.get('https://b2b.allaria.cloud/v1/accounts/0000031000010000000001/valuation', {
headers: { Authorization: 'Bearer ACCESS_TOKEN' }
});
console.log(response.data);
2XX Success
{
"accountId": 12345,
"valuation": 1530250.75,
"currency": "ARS"
}